XML Standard API: Class FactoryConfigurationError

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class FactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.parsers.FactoryConfigurationError

All Implemented Interfaces:
  java.io.Serializable

public class FactoryConfigurationError
extends java.lang.Error

Thrown when a problem with configuration with the Parser Factories exists. This error will typically be thrown when the class of a parser factory specified in the system properties cannot be found or instantiated.

Version:
  $Revision: 446598 $, $Date: 2006-09-15 08:55:40 -0400 (Fri, 15 Sep 2006) $
Author:
  Jeff Suttor
See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()` Create a new `FactoryConfigurationError` with no detail mesage.
`FactoryConfigurationError(java.lang.Exception e)` Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
`FactoryConfigurationError(java.lang.Exception e, java.lang.String msg)` Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
`FactoryConfigurationError(java.lang.String msg)` Create a new `FactoryConfigurationError` with the `String` specified as an error message.

Method Summary
`java.lang.Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`java.lang.String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

  Create a new `FactoryConfigurationError` with no detail mesage.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg)

  Create a new `FactoryConfigurationError` with the `String` specified as an error message.
  Parameters:
    `msg` - The error message for the exception.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e)

  Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
  Parameters:
    `e` - The exception to be encapsulated in a FactoryConfigurationError.

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e,
                                     java.lang.String msg)

  Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
  Parameters:
    `e` - The exception to be encapsulated in a FactoryConfigurationError
    `msg` - The detail message.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception, if it exists will be returned. Else the name of the encapsulated exception will be returned.
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The error message.

### getException

    public java.lang.Exception getException()

  Return the actual exception (if any) that caused this exception to be raised.
  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.